#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	coreutils
Version		:	9.5
Release		:	17.2.0.rel%{?dist}
Summary		:	A set of basic GNU tools commonly used in shell scripts
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.gnu.org/software/coreutils/
			#https://ftp.gnu.org/gnu/coreutils/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-i18n-2.patch
#-----------------------------------------------------------------------------
%description
These are the GNU core utilities.  This package is
the combination of the old GNU fileutils, sh-utils and
textutils packages.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING ABOUT-NLS NEWS README THANKS
%{_sysconfdir}/dircolors
%{_sysconfdir}/profile.d/dircolors.sh
%{_bindir}/*
%{_sbindir}/*
%{_libexecdir}/*
%{_infodir}/%{name}.info.gz
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/locale/*/LC_TIME/%{name}.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

tar xf %{SOURCE1}
#-----------------------------------------------------------------------------
#building application
%build

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-install-program=arch			\
	--enable-no-install-program=kill,uptime		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir} -p 						\
	%{buildroot}/%{_sbindir}			\
	%{buildroot}%{_mandir}/man8
%{__mv} -f						\
	 %{buildroot}%{_bindir}/chroot			\
	%{buildroot}%{_sbindir} 
%{__mv} -f						\
	%{buildroot}%{_mandir}/man1/chroot.1		\
	%{buildroot}%{_mandir}/man8/chroot.8

sed -i 							\
  -e "s/\"1\"/\"8\"/1"					\
  %{buildroot}%{_mandir}/man8/chroot.8

%{__rm} -fr %{buildroot}%{_infodir}/dir

#removing program utilities provided by shadow
%{__rm} %{buildroot}%{_bindir}/groups
%{__rm} %{buildroot}%{_mandir}/man1/groups*

#generating color file to be used with /etc/profile.d/dircolors.sh
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{buildroot}%{_bindir}/dircolors -p > %{buildroot}%{_sysconfdir}/dircolors

%{__cp} -r						\
	%{name}-ok_addon/profile.d			\
	%{buildroot}%{_sysconfdir}

#-----------------------------------------------------------------------------
%changelog
